/* cart.component.css */


.cart-container2{
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f8f8f8;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1); /* Added shadow */
  }
  
  
  
  .cart-container {
      max-width: 800px;
      margin: 0 auto;
      padding: 20px;
      background-color: #f8f8f8;
      border-radius: 10px;
      box-shadow: 0 0 20px rgba(0, 0, 0, 0.1); /* Added shadow */
    }
    
    .cart-items {
      display: flex;
      flex-direction: column;
      gap: 10px;
    }
    
    .cart-item {
      background-color: #fff;
      padding: 15px;
      border-radius: 10px;
      display: flex;
      align-items: center;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Added shadow */
      transition: transform 0.2s ease-in-out; /* Add a smooth hover effect */
    }
    
    .cart-item:hover {
      transform: scale(1.02); /* Enlarge on hover */
      box-shadow: 0 0 15px rgba(0, 0, 0, 0.2); /* Adjusted shadow on hover */
    }
    
    .product-card {
      display: flex;
      align-items: center;
    }
    
    .product-image img {
      max-width: 100px;
      max-height: 100px;
      margin-right: 15px;
      box-shadow: 0 0 5px rgba(0, 0, 0, 0.1); /* Added shadow to images */
    }
    
    .product-details {
      flex-grow: 1;
    }
    
    .product-name {
      font-size: 18px;
      font-weight: bold;
    }
    
    .product-price {
      font-size: 16px;
      color: #27ae60; /* Green color for price */
    }
    
    .remove-button {
      background-color: #e74c3c;
      color: #fff;
      border: none;
      border-radius: 5px;
      padding: 5px 10px;
      cursor: pointer;
      margin-left: 500px;
      box-shadow: 0 0 5px rgba(0, 0, 0, 0.2); /* Added shadow to button */
      transition: background-color 0.2s ease-in-out;
    }
    
    .remove-button:hover {
      background-color: #c0392b; /* Darker red on hover */
    }
    
    .total-price {
      font-size: 20px;
      font-weight: bold;
      margin-top: 20px;
    }
    
    .clear-cart-button {
      background-color: #3498db;
      color: #fff;
      border: none;
      border-radius: 5px;
      padding: 10px 20px;
      cursor: pointer;
      font-size: 18px;
      margin-top: 15px;
      box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); /* Added shadow to button */
      transition: background-color 0.2s ease-in-out;
    }
    
    .clear-cart-button:hover {
      background-color: #2980b9; /* Darker blue on hover */
    }